// 
// This file is part of MolMeccano, a cross-platform C++ chemical library.
//
// Copyright (C) 2001-2007 Alexey Nikitin
//

//namespace MolMeccano { }
//namespace MM = MolMeccano;

#include "Text_as_text_output.h"

#include "Text.h"

namespace MM
{

Text_output & Text_as_text_output::
line( const Text & text )
{
    *this += text;
    *this += "\n";
    return * this;
}

Text_output & Text_as_text_output::
text( const Text & text )
{
    *this += text;
    return *this;
}

Text_output & Text_as_text_output::
flush() 
{
    return *this;
}

}//MM

